autofs-5.1.5 - fix amd entry memory leak

From: Ian Kent <raven@themaw.net>

Fix an incorrect free of an amd_entry structure.

Signed-off-by: Ian Kent <raven@themaw.net>
---
 CHANGELOG    |    1 +
 lib/master.c |    2 +-
 2 files changed, 2 insertions(+), 1 deletion(-)

diff --git a/CHANGELOG b/CHANGELOG
index 1a48209e..ecfbd2c9 100644
--- a/CHANGELOG
+++ b/CHANGELOG
@@ -21,6 +21,7 @@ xx/xx/2019 autofs-5.1.6
 - remove unused function has_fstab_option().
 - remove unused function reverse_mnt_list().
 - remove a couple of old debug messages.
+- fix amd entry memory leak.
 
 30/10/2018 autofs-5.1.5
 - fix flag file permission.
diff --git a/lib/master.c b/lib/master.c
index e0bd34ab..24abb296 100644
--- a/lib/master.c
+++ b/lib/master.c
@@ -155,7 +155,7 @@ void master_free_autofs_point(struct autofs_point *ap)
 			ext_mount_remove(&entry->ext_mount, entry->fs);
 		if (!list_empty(&entry->entries))
 			list_del(&entry->entries);
-		free(entry);
+		free_amd_entry(entry);
 	}
 	mounts_mutex_unlock(ap);
 
